Bug 763069 - (GLUSTER-1337) gnfs: posix compliance test fails
gnfs: posix compliance test fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Gaurav
:
: GLUSTER-3513 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 09:26 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Posix compliance test log file. (13.78 KB, application/octet-stream)
2011-05-03 03:25 EDT, Gaurav
no flags Details

  None (edit)
Description Lakshmipathi G 2010-08-11 09:26:55 EDT
Test setup - 2 glfs,2gnfs server,1 client. posix-testsuite log

#cat /tmp/POSIX.16097
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/00.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/01.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/02.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/03.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/04.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/05.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/06.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/07.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/08.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/09.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/10.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/11.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/12.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/13.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/00.......FAILED tests 38-39, 42-43, 46-47, 56
	Failed 7/58 tests, 87.93% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/05.......FAILED test 8
	Failed 1/14 tests, 92.86% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/07.......FAILED tests 7-8, 10-11
	Failed 4/14 tests, 71.43% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/11.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/00.......FAILED tests 141, 145, 149, 153, 156-157, 160-161, 164-165, 168-169
	Failed 12/171 tests, 92.98% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/05.......FAILED tests 6, 8, 10, 12
	Failed 4/15 tests, 73.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/07.......FAILED tests 5-8
	Failed 4/11 tests, 63.64% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/00........FAILED tests 70-73, 77, 79, 82
	Failed 7/82 tests, 91.46% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/01........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/02........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/03........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/04........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/05........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/06........FAILED tests 10-11, 14, 16-18
	Failed 6/18 tests, 66.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/07........FAILED tests 10, 12, 15-17
	Failed 5/17 tests, 70.59% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/08........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/09........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/10........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/11........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/12........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/13........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/14........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/15........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/16........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/17........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/00.......FAILED tests 19, 22, 26
	Failed 3/36 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/05.......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/06.......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/07.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/11.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/12.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/00......FAILED tests 19, 22, 26
	Failed 3/36 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/04......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/05......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/06......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/09......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/10......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/11......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/00........FAILED tests 19, 22, 26
	Failed 3/47 tests, 93.62% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/01........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/02........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/03........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/04........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/05........FAILED test 7
	Failed 1/12 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/06........FAILED tests 18-19, 22-23, 26-27, 29, 31, 33, 35, 37, 39, 41-43, 45-47, 49-51, 53-55, 57-59, 61-63, 66, 69
	Failed 32/72 tests, 55.56% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/07........FAILED tests 5, 7, 9, 11, 13, 15, 17, 19, 21
	Failed 9/23 tests, 60.87% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/08........FAILED tests 2-3
	Failed 2/3 tests, 33.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/09........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/10........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/11........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/12........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/13........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/14........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/15........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/16........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/17........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/18........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/19........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/20........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/21........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/22........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/23........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/00......FAILED tests 64-66, 68, 72-74, 76-79
	Failed 11/79 tests, 86.08% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/04......FAILED tests 10-11, 14-16, 18
	Failed 6/18 tests, 66.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/05......FAILED tests 10, 12, 14, 16-17
	Failed 5/17 tests, 70.59% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/06......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/09......FAILED tests 12-13, 15, 28-29, 31, 44-45, 47
	Failed 9/56 tests, 83.93% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/10......FAILED tests 39-43, 45-49, 52, 62, 65, 67, 73-74, 77, 115-119, 121-125, 128, 167-171, 173-177, 180
	Failed 39/188 tests, 79.26% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/11......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/13......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/14......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/15......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/16......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/17......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/18......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/19......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/20......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/00.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/05.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/07.......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/08.......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/11.......FAILED tests 8-9
	Failed 2/15 tests, 86.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/12.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/13.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/14.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/15.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/00.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/01.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/02.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/03.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/04.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/05.....FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/06.....FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/07.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/08.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/09.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/10.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/11.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/12.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/00....FAILED tests 18-19
	Failed 2/21 tests, 90.48% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/01....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/02....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/03....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/04....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/05....FAILED tests 8, 10
	Failed 2/15 tests, 86.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/06....FAILED tests 3, 6
	Failed 2/8 tests, 75.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/07....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/08....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/09....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/10....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/11....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/12....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/13....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/14....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/00......FAILED tests 25-27, 29-31
	Failed 6/55 tests, 89.09% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/04......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/05......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/06......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/09......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/10......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/11......FAILED tests 8-9, 17-18, 26-27
	Failed 6/33 tests, 81.82% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/13......ok
Failed Test                       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
/opt/qa/tools-32bit/pjd-fstest-20               58    7  12.07%  38-39 42-43
                                                                 46-47 56
/opt/qa/tools-32bit/pjd-fstest-20               14    1   7.14%  8
/opt/qa/tools-32bit/pjd-fstest-20               14    4  28.57%  7-8 10-11
/opt/qa/tools-32bit/pjd-fstest-20              171   12   7.02%  141 145 149
                                                                 153 156-157
                                                                 160-161 164-
                                                                 165 168-169
/opt/qa/tools-32bit/pjd-fstest-20               15    4  26.67%  6 8 10 12
/opt/qa/tools-32bit/pjd-fstest-20               11    4  36.36%  5-8
/opt/qa/tools-32bit/pjd-fstest-20               82    7   8.54%  70-73 77 79 82
/opt/qa/tools-32bit/pjd-fstest-20               18    6  33.33%  10-11 14 16-18
/opt/qa/tools-32bit/pjd-fstest-20               17    5  29.41%  10 12 15-17
/opt/qa/tools-32bit/pjd-fstest-20               36    3   8.33%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               36    3   8.33%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               47    3   6.38%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    1   8.33%  7
/opt/qa/tools-32bit/pjd-fstest-20               72   32  44.44%  18-19 22-23
                                                                 26-27 29 31 33
                                                                 35 37 39 41-43
                                                                 45-47 49-51
                                                                 53-55 57-59
                                                                 61-63 66 69
/opt/qa/tools-32bit/pjd-fstest-20               23    9  39.13%  5 7 9 11 13 15
                                                                 17 19 21
/opt/qa/tools-32bit/pjd-fstest-20                3    2  66.67%  2-3
/opt/qa/tools-32bit/pjd-fstest-20               79   11  13.92%  64-66 68 72-74
                                                                 76-79
/opt/qa/tools-32bit/pjd-fstest-20               18    6  33.33%  10-11 14-16 18
/opt/qa/tools-32bit/pjd-fstest-20               17    5  29.41%  10 12 14 16-17
/opt/qa/tools-32bit/pjd-fstest-20               56    9  16.07%  12-13 15 28-29
                                                                 31 44-45 47
/opt/qa/tools-32bit/pjd-fstest-20              188   39  20.74%  39-43 45-49 52
                                                                 62 65 67 73-74
                                                                 77 115-119
                                                                 121-125 128
                                                                 167-171 173-
                                                                 177 180
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               15    2  13.33%  8-9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               21    2   9.52%  18-19
/opt/qa/tools-32bit/pjd-fstest-20               15    2  13.33%  8 10
/opt/qa/tools-32bit/pjd-fstest-20                8    2  25.00%  3 6
/opt/qa/tools-32bit/pjd-fstest-20               55    6  10.91%  25-27 29-31
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               33    6  18.18%  8-9 17-18 26-
                                                                 27
Comment 1 Lakshmipathi G 2010-08-12 03:24:33 EDT
tested with nfs beta rc10 with 2 replica, same result-

Failed 37/184 test scripts, 79.89% okay. 213/1957 subtests failed, 89.12% okay.

C1#cat /tmp/POSIX_rc10.12103 
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/00.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/01.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/02.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/03.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/04.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/05.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/06.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/07.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/08.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/09.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/10.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/11.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/12.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chflags/13.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/00.......FAILED tests 38-39, 42-43, 46-47, 56
	Failed 7/58 tests, 87.93% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/05.......FAILED test 8
	Failed 1/14 tests, 92.86% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/07.......FAILED tests 7-8, 10-11
	Failed 4/14 tests, 71.43% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chmod/11.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/00.......FAILED tests 141, 145, 149, 153, 156-157, 160-161, 164-165, 168-169
	Failed 12/171 tests, 92.98% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/05.......FAILED tests 6, 8, 10, 12
	Failed 4/15 tests, 73.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/07.......FAILED tests 5-8
	Failed 4/11 tests, 63.64% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/chown/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/00........FAILED tests 70-73, 77, 79, 82
	Failed 7/82 tests, 91.46% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/01........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/02........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/03........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/04........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/05........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/06........FAILED tests 10-11, 14, 16-18
	Failed 6/18 tests, 66.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/07........FAILED tests 10, 12, 15-17
	Failed 5/17 tests, 70.59% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/08........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/09........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/10........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/11........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/12........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/13........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/14........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/15........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/16........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/link/17........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/00.......FAILED tests 19, 22, 26
	Failed 3/36 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/05.......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/06.......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/07.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/08.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/11.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkdir/12.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/00......FAILED tests 19, 22, 26
	Failed 3/36 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/04......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/05......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/06......FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/09......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/10......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/11......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/mkfifo/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/00........FAILED tests 19, 22, 26
	Failed 3/47 tests, 93.62% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/01........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/02........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/03........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/04........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/05........FAILED test 7
	Failed 1/12 tests, 91.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/06........FAILED tests 18-19, 22-23, 26-27, 29, 31, 33, 35, 37, 39, 41-43, 45-47, 49-51, 53-55, 57-59, 61-63, 66, 69
	Failed 32/72 tests, 55.56% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/07........FAILED tests 5, 7, 9, 11, 13, 15, 17, 19, 21
	Failed 9/23 tests, 60.87% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/08........FAILED tests 2-3
	Failed 2/3 tests, 33.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/09........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/10........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/11........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/12........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/13........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/14........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/15........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/16........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/17........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/18........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/19........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/20........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/21........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/22........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/open/23........ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/00......FAILED tests 64-66, 68, 72-74, 76-79
	Failed 11/79 tests, 86.08% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/04......FAILED tests 10-11, 14-16, 18
	Failed 6/18 tests, 66.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/05......FAILED tests 10, 12, 14, 16-17
	Failed 5/17 tests, 70.59% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/06......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/09......FAILED tests 12-13, 15, 28-29, 31, 44-45, 47
	Failed 9/56 tests, 83.93% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/10......FAILED tests 39-43, 45-49, 52, 62, 65, 67, 73-74, 77, 115-119, 121-125, 128, 167-171, 173-177, 180
	Failed 39/188 tests, 79.26% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/11......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/13......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/14......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/15......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/16......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/17......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/18......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/19......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rename/20......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/00.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/01.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/02.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/03.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/04.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/05.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/06.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/07.......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/08.......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/09.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/10.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/11.......FAILED tests 8-9
	Failed 2/15 tests, 86.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/12.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/13.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/14.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/rmdir/15.......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/00.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/01.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/02.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/03.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/04.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/05.....FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/06.....FAILED tests 7, 9
	Failed 2/12 tests, 83.33% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/07.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/08.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/09.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/10.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/11.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/symlink/12.....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/00....FAILED tests 18-19
	Failed 2/21 tests, 90.48% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/01....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/02....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/03....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/04....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/05....FAILED tests 8, 10
	Failed 2/15 tests, 86.67% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/06....FAILED tests 3, 6
	Failed 2/8 tests, 75.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/07....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/08....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/09....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/10....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/11....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/12....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/13....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/truncate/14....ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/00......FAILED tests 25-27, 29-31
	Failed 6/55 tests, 89.09% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/01......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/02......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/03......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/04......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/05......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/06......FAILED tests 6, 8
	Failed 2/10 tests, 80.00% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/07......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/08......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/09......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/10......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/11......FAILED tests 8-9, 17-18, 26-27
	Failed 6/33 tests, 81.82% okay
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/12......ok
/opt/qa/tools-32bit/pjd-fstest-20080816/tests/unlink/13......ok
Failed Test                       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
/opt/qa/tools-32bit/pjd-fstest-20               58    7  12.07%  38-39 42-43
                                                                 46-47 56
/opt/qa/tools-32bit/pjd-fstest-20               14    1   7.14%  8
/opt/qa/tools-32bit/pjd-fstest-20               14    4  28.57%  7-8 10-11
/opt/qa/tools-32bit/pjd-fstest-20              171   12   7.02%  141 145 149
                                                                 153 156-157
                                                                 160-161 164-
                                                                 165 168-169
/opt/qa/tools-32bit/pjd-fstest-20               15    4  26.67%  6 8 10 12
/opt/qa/tools-32bit/pjd-fstest-20               11    4  36.36%  5-8
/opt/qa/tools-32bit/pjd-fstest-20               82    7   8.54%  70-73 77 79 82
/opt/qa/tools-32bit/pjd-fstest-20               18    6  33.33%  10-11 14 16-18
/opt/qa/tools-32bit/pjd-fstest-20               17    5  29.41%  10 12 15-17
/opt/qa/tools-32bit/pjd-fstest-20               36    3   8.33%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               36    3   8.33%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               47    3   6.38%  19 22 26
/opt/qa/tools-32bit/pjd-fstest-20               12    1   8.33%  7
/opt/qa/tools-32bit/pjd-fstest-20               72   32  44.44%  18-19 22-23
                                                                 26-27 29 31 33
                                                                 35 37 39 41-43
                                                                 45-47 49-51
                                                                 53-55 57-59
                                                                 61-63 66 69
/opt/qa/tools-32bit/pjd-fstest-20               23    9  39.13%  5 7 9 11 13 15
                                                                 17 19 21
/opt/qa/tools-32bit/pjd-fstest-20                3    2  66.67%  2-3
/opt/qa/tools-32bit/pjd-fstest-20               79   11  13.92%  64-66 68 72-74
                                                                 76-79
/opt/qa/tools-32bit/pjd-fstest-20               18    6  33.33%  10-11 14-16 18
/opt/qa/tools-32bit/pjd-fstest-20               17    5  29.41%  10 12 14 16-17
/opt/qa/tools-32bit/pjd-fstest-20               56    9  16.07%  12-13 15 28-29
                                                                 31 44-45 47
/opt/qa/tools-32bit/pjd-fstest-20              188   39  20.74%  39-43 45-49 52
                                                                 62 65 67 73-74
                                                                 77 115-119
                                                                 121-125 128
                                                                 167-171 173-
                                                                 177 180
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               15    2  13.33%  8-9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               12    2  16.67%  7 9
/opt/qa/tools-32bit/pjd-fstest-20               21    2   9.52%  18-19
/opt/qa/tools-32bit/pjd-fstest-20               15    2  13.33%  8 10
/opt/qa/tools-32bit/pjd-fstest-20                8    2  25.00%  3 6
/opt/qa/tools-32bit/pjd-fstest-20               55    6  10.91%  25-27 29-31
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               10    2  20.00%  6 8
/opt/qa/tools-32bit/pjd-fstest-20               33    6  18.18%  8-9 17-18 26-
                                                                 27
Comment 2 Shehjar Tikoo 2010-11-10 21:33:39 EST
Not critical. Reducing in severity till someone actually complains.
Comment 3 Amar Tumballi 2011-04-25 05:33:23 EDT
Please update the status of this bug as its been more than 6months since its filed (bug id < 2000)

Please resolve it with proper resolution if its not valid anymore. If its still valid and not critical, move it to 'enhancement' severity.
Comment 4 Shehjar Tikoo 2011-04-25 23:11:26 EDT
Still valid.
Comment 5 Gaurav 2011-04-28 04:41:36 EDT
Looking at chmod and chown failures, i found couple of issues in access-control ac_setattr_stat_cbk function,
1>We are not checking for valid uid for non-root users in case of chown changing uid/gid.
2>Not passing valid buffer while doing access check for group in case of chown changing gid.

Will send the patch for this.
Comment 6 Gaurav 2011-04-28 23:27:16 EDT
Only owner should be allowed to change permissions using chmod, but in access control we are allowing anybody having write access to change permissions.

Will send patch for this.
Comment 7 Gaurav 2011-05-02 23:20:11 EDT
POSIX: If the calling process does not have appropriate privileges, and if
the group ID of the file does not match the effective group ID or one of the
supplementary group IDs and if the file is a regular file, bit S_ISGID
(set-group-ID on execution) in the file's mode shall be cleared upon
successful return from chmod().

Code for this is not there in access control, failing some posix compliance tests.
Comment 8 Gaurav 2011-05-03 03:13:16 EDT
Tests which include "chown -1 -1" are failing with both gnfs and linux nfs servers. Reason for this is nfs client just ignore such chown requests where uid and gid fields are -1 i.e. its neither setting uid nor gid.

For now these are the only 5 tests failing in compliance tests with changes in access-control. I will send the patch soon.
Comment 9 Gaurav 2011-05-03 03:25:34 EDT
Created attachment 478 [details]
error messages transcribed from anaconda screen
Comment 10 Anand Avati 2011-05-19 20:14:26 EDT
PATCH: http://patches.gluster.com/patch/7126 in release-3.1 (Access-Control : Changes in setattr for posix compliance.)
Comment 11 Anand Avati 2011-06-08 11:18:53 EDT
PATCH: http://patches.gluster.com/patch/7358 in release-3.2 (Access-Control : Changes in setattr for posix compliance.)
Comment 12 Saurabh 2011-06-13 04:01:55 EDT
This bug is still seen on the 3.1.5 latest release, 

failed with both distribute and distribute replicate,

results:
Failed Test                       Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
/opt/qa/tools/posix-testsuite/tes              171    5   2.92%  77 141 145 149
                                                                 153
Failed 3/184 test scripts, 98.37% okay. 8/1957 subtests failed, 99.59% okay.
/opt/qa/tools/posix-testsuite/tes               47    2   4.26%  33-34
/opt/qa/tools/posix-testsuite/tes               79    1   1.27%  79
/opt/qa/tools/posix-testsuite/tests/chown/00.......FAILED tests 77, 141, 145, 149, 153
/opt/qa/tools/posix-testsuite/tests/open/00........FAILED tests 33-34
/opt/qa/tools/posix-testsuite/tests/rename/00......FAILED test 79


10.1.12.134:/dist315 on /mnt/315drep2-nfs type nfs (rw,nfsvers=3,nolock,addr=10.1.12.134)
[root@centos-qa-client-3 315drep2-nfs]# pwd
/mnt/315drep2-nfs
[root@centos-qa-client-3 315drep2-nfs]# 



##########3 from server side############3
[root@centos-qa-client-2 ~]# ./quota/inst/sbin/gluster volume info dist315

Volume Name: dist315
Type: Distribute
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 10.1.12.134:/mnt/dist315
Brick2: 10.1.12.135:/mnt/dist315
[root@centos-qa-client-2 ~]#
Comment 13 Amar Tumballi 2011-06-27 05:03:09 EDT
Please check the status after the 'posix-acl' patch goes in.

We have to check knfsd and gnfsd for failures, and they should match.
Comment 14 shishir gowda 2011-07-13 05:16:37 EDT
With posix acl, and nfs mounted with -o acl posix-compliance test fails:

Test Summary Report
-------------------
/opt/qa/tools/posix-testsuite/tests/chmod/05.t   (Wstat: 0 Tests: 14 Failed: 1)
  Failed test:  8
/opt/qa/tools/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 5)
  Failed tests:  77, 141, 145, 149, 153
/opt/qa/tools/posix-testsuite/tests/chown/05.t   (Wstat: 0 Tests: 15 Failed: 2)
  Failed tests:  8, 10 
/opt/qa/tools/posix-testsuite/tests/link/06.t    (Wstat: 0 Tests: 18 Failed: 6)
  Failed tests:  10-11, 14, 16-18  
/opt/qa/tools/posix-testsuite/tests/open/05.t    (Wstat: 0 Tests: 12 Failed: 1)
  Failed test:  7
/opt/qa/tools/posix-testsuite/tests/open/06.t    (Wstat: 0 Tests: 72 Failed: 2)
  Failed tests:  67, 69
/opt/qa/tools/posix-testsuite/tests/truncate/05.t (Wstat: 0 Tests: 15 Failed: 2)
  Failed tests:  8, 10

All of these seem to be related to uid,gid ops being set to -1.

Reassigning bug to Gaurav.
Comment 15 Gaurav 2011-09-06 00:01:01 EDT
*** Bug 3513 has been marked as a duplicate of this bug. ***
Comment 16 Gaurav 2011-09-08 06:42:30 EDT
Commit f9e0638b7597f4b1a4245f63c94d3d6bd3158136
In nfs3_accessbits ACCESS3_LOOKUP is allowed on read permission for directory, as per posix it should be allowed for exec permission.
Comment 17 Gaurav 2011-09-09 05:54:48 EDT
After fixing couple of issues these are the results of posix compliance test,
Conf:->
# Known operating systems: FreeBSD, SunOS, Linux
os=`uname`

# Known file systems: UFS, ZFS, ext3, ntfs-3g, xfs
fs="ext3"


gNFS:->
Test Summary Report
-------------------
/home/gaurav/Downloads/posix/pjd-fstest-20080816/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 5)
  Failed tests:  77, 141, 145, 149, 153
Files=184, Tests=1957, 65 wallclock secs ( 1.40 usr  0.34 sys +  0.54 cusr  1.06 csys =  3.34 CPU)
Result: FAIL


Linux kernel NFS:->
Test Summary Report
-------------------
/home/gaurav/Downloads/posix/pjd-fstest-20080816/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 12)
  Failed tests:  36-37, 68-69, 73, 77, 83-84, 141, 145, 149
                153
Files=184, Tests=1957, 62 wallclock secs ( 1.37 usr  0.34 sys +  0.52 cusr  0.90 csys =  3.13 CPU)
Result: FAIL


Reason for failures 77, 141, 145, 149, 153 common in both gNFS and Linux kernel is, for chown requests where uid and gid both are -1, NFS client ignore the requests. SO nothing could be done at server side.
Comment 18 Amar Tumballi 2011-09-09 07:12:19 EDT
Gaurav,

Please follow the practice of closing(resolving) the bug only after the patches gets into the codebase. I understand its submitted. But mark it resolved only after that gets committed.
Comment 19 Anand Avati 2011-09-21 22:37:19 EDT
CHANGE: http://review.gluster.com/482 (Change-Id: I3687fd16bcc0ddc8a352efb9a0b410f54bec6e74) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 20 Anand Avati 2011-09-22 04:51:25 EDT
CHANGE: http://review.gluster.com/487 (Change-Id: I4f1d8883a3eedee20557e306815674a6dc062bfe) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.